Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List issue history

GET/workspaces/{organizationId}/issues/{issueId}/history
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Responses
200

Issue history

historyobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
issueIdstringrequired
linearIdstring | nullrequired
fieldstringrequired
fromValuestring | nullrequired
toValuestring | nullrequired
actorIdstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/history' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "history": [
    {
      "id": "string",
      "organizationId": "string",
      "issueId": "string",
      "linearId": "string",
      "field": "string",
      "fromValue": "string",
      "toValue": "string",
      "actorId": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?